import React, { useState } from 'react'
import { Col, Input, Row } from 'antd'
import classNames from 'classnames'
import styles from './index.less'

export interface IProps {
  formwork?: 'fourbutton' | 'sixbutton',
  quesUrl?: string,
  ansUrls?: string[]
  collButtonsPos?: () => void
}

const fourbuttonBoard = require("@/static/common/fourbuttonBoard.png");
const sixbuttonBoard = require("@/static/common/sixbutton.png");

const fourbuttons = ['red', 'green', 'yellow', 'blue']
const sixbuttons = ['red', 'green', 'yellow', 'blue', 'orange', 'purple']

const json = {
  board: {
    cardUrl: 'xxx',
    ans: [],
    pos: [
      { color: 'fff', x: 0, y: 0 }
    ]
  }
}



const Board: React.FC<IProps> = ({
  formwork = 'fourbutton',
  quesUrl,
  ansUrls,
  collButtonsPos
}) => {

  const [buttonsPos, setButtonsPos] = useState<{x: number, y: number}[]>([])

  const boardImg = formwork =='sixbutton' ? sixbuttonBoard : fourbuttonBoard

  const ansItem = new Array(formwork =='sixbutton' ? 6 : 4 ).fill(1)

  const buttons = formwork =='sixbutton' ? sixbuttons : fourbuttons

  const _collButtonsPos = () => {
    collButtonsPos!()
  }

  return (
    <Row className='board'  >
      {/* 题卡部分 */}
      <Col>
        {/*  */}
        <Row >

          <Col span={24} style={{position: "relative"}} >
            <img style={{width: "357px", height: '617px'}} src={boardImg} alt="" /> 
            <div 
              className={classNames(styles['board-OPR'])}
            >
              <div className={classNames(styles['board-ques'])} > 
              
              </div>    

              <div className={classNames(styles['board-ans'])}  >
                {ansItem.map( (item, index) => <div key={index} className={classNames(styles['board-ans-item'])} ></div> )}
              </div>

              <div className={classNames(styles['board-buttons'])} >
                {
                  buttons.map( item => <div key={item} style={{backgroundColor: item}} className={classNames(styles['board-buttons-item'])} />)
                }
              </div>
            </div>
           
          </Col>
      
        </Row>

      </Col>
      {/* 答案部分 */}
      <Col></Col>
    </Row>
  )
}



export default Board




